---
sidebar_label: WaitForTargetOptions
---

# WaitForTargetOptions interface

**Signature:**

```typescript
export interface WaitForTargetOptions
```

## Properties

| Property                                                | Modifiers | Type   | Description                                                                                      |
| ------------------------------------------------------- | --------- | ------ | ------------------------------------------------------------------------------------------------ |
| [timeout?](./puppeteer.waitfortargetoptions.timeout.md) |           | number | <i>(Optional)</i> Maximum wait time in milliseconds. Pass <code>0</code> to disable the timeout. |
